> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Token

> Transfer any Solana tokens to any address



## OpenAPI

````yaml /openapi/solana.json post /v0/transfer/{token}
openapi: 3.1.1
info:
  title: Solana Blinks API
  version: 0.0.1
servers:
  - url: https://solana-sbl.dial.to/api
security: []
paths:
  /v0/transfer/{token}:
    post:
      tags:
        - Transfer
      summary: Transfer Token
      description: Transfer any Solana tokens to any address
      operationId: solana.transfer.transferTokens
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            description: Token to transfer. Can be human readable symbol or mint address
            default: SOL
        - name: to
          in: query
          required: true
          style: deepObject
          explode: true
          schema:
            type: string
            description: The address to transfer the tokens to
            default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
        - name: amount
          in: query
          required: true
          style: deepObject
          explode: true
          schema:
            type: number
            minimum: 0
            description: The amount to transfer. Human readable value, e.g. 100 USDC
            default: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````